using Documenter, PowerNetworkMatrices
import DataStructures: OrderedDict

pages = OrderedDict(
        "Welcome Page" => "index.md",
        "Quick Start Guide" => "quick_start_guide.md",
        "Tutorials" =>  "tutorials/intro_page.md",
        "Public API Reference" => "api/public.md",
        "Internal API Reference" => "api/internal.md"
)

makedocs(
    modules = [PowerNetworkMatrices],
    format = Documenter.HTML(prettyurls = haskey(ENV, "GITHUB_ACTIONS"),),
    sitename = "PowerNetworkMatrices.jl",
    authors = "Jose Daniel Lara, Sourabh Dalvi",
    pages = Any[p for p in pages]
)

deploydocs(
    repo = "github.com/NREL-SIIP/PowerNetworkMatrices.jl.git",
    target = "build",
    branch = "gh-pages",
    devbranch = "main",
    devurl = "dev",
    push_preview=true,
    versions = ["stable" => "v^", "v#.#"],
)
